"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_tag_1 = require("graphql-tag");
exports.PROFILE_QUERY = graphql_tag_1.default `
    query profile($access_token: String!) {
        getProfile(access_token: $access_token) {
            sub
            name
            email
            user_id
            picture
            clientID
            nickname
            updated_at
            created_at
            email_verified
            app_metadata {
                role
            }
            user_metadata {
                language
            }
        }
    }
`;
//# sourceMappingURL=getProfile.js.map