import { IAuth0Service } from '../interfaces';
export interface IAuth0FeatureContext {
    Auth0Service: IAuth0Service;
}
export declare const resolvers: {
    Query: {
        getPublicProfile: (root: any, { _id }: {
            _id: any;
        }, context: IAuth0FeatureContext) => any;
        getProfile: (root: any, { access_token }: {
            access_token: any;
        }, context: IAuth0FeatureContext) => Promise<any>;
    };
    Mutation: {
        signInOAuth: (root: any, { access_token, connection }: {
            access_token: any;
            connection: any;
        }, context: IAuth0FeatureContext) => Promise<any>;
        signInLoginPassword: (root: any, { username, password }: {
            username: any;
            password: any;
        }, context: IAuth0FeatureContext) => Promise<any>;
    };
};
