import { IAuth0Service } from '../interfaces';
export declare class Auth0Service implements IAuth0Service {
    auth: any;
    settings: any;
    management: any;
    constructor({domain, clientId, clientSecret}: {
        domain: any;
        clientId: any;
        clientSecret: any;
    });
    signInLoginPassword(username: String, password: String): Promise<any>;
    signInOAuth(access_token: String, connection: String): Promise<any>;
    getProfile(accessToken: String): Promise<any>;
    getPublicProfile(id: String): Promise<any>;
}
