"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolvers = {
    Query: {
        getPublicProfile: (root, { _id }, context) => context.Auth0Service.getPublicProfile(_id),
        getProfile: (root, { access_token }, context) => context.Auth0Service.getProfile(access_token),
    },
    Mutation: {
        signInOAuth: (root, { access_token, connection }, context) => context.Auth0Service.signInOAuth(access_token, connection),
        signInLoginPassword: (root, { username, password }, context) => context.Auth0Service.signInLoginPassword(username, password),
    },
};
//# sourceMappingURL=resolvers.js.map